#include<fstream>
#include<string>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("BOI30.INP");
	ofstream f2("BOI30.OUT");
	string s;
	f1>>s;
	f1.close();
	int n=s.length();
	int i;
	int d[n];
	int ok=0;
	int l=0;
	for(i=0;i<n;i++)
	{
		d[i]=int(s[i])-48;
		if(d[i]==0) ok=1;
		l+=d[i];
	}
	if(l%3!=0) ok=0;
	if(ok==0)
	{
		f2<<-1;
		return 0;
	}
	sort(d,d+n);
	for(i=n-1;i>=0;i--)
	{
		f2<<d[i];
	}
	f2.close();
	return 0;
}
